#ifndef StackGrapher_hpp
#define StackGrapher_hpp

#include <QMainWindow>
#include <QTimer>

#include "precision.hpp"

QT_BEGIN_NAMESPACE
	class QHBoxLayout;
QT_END_NAMESPACE

class Grapher;

class StackGrapher : public QMainWindow
{
    Q_OBJECT

public:
    explicit StackGrapher(QWidget *parent = 0);
    ~StackGrapher();
	
public slots:
	void redraw();
    void movegraph();
	
	void centered(size_t value);
	
	void bigger();
	
	void smaller();

private:
	void setupUi();
	
//    void generateTestData();

    void loadData(const QString& fileName);

//	QStatusBar* statusBar;

	Grapher* grapher;

//	QTimer* timer;
//	QTimer* movetimer;
	
	size_t frame;

private slots:
    void on_actionAuto_Hover_triggered(bool checked);
    void on_actionAuto_Scale_triggered(bool checked);
    void on_actionRotate_triggered(bool checked);
    void on_actionAntiAliasing_triggered(bool checked);
    void on_actionOpen_triggered();
    void on_actionSave_triggered();
	void on_actionBigger_triggered();
	void on_actionSmaller_triggered();
};

#endif
